{
  "extends": "astro/tsconfigs/strict",
  "compilerOptions": {
    "strict": true,
    "noUncheckedIndexedAccess": true,
    "noImplicitOverride": true,
    "noFallthroughCasesInSwitch": true,
    "verbatimModuleSyntax": true,
    "allowJs": false,
    "baseUrl": ".",
    "paths": {
      "@/*": ["src/*"],
      "@i18n/*": ["src/i18n/*"],
      "@components/*": ["src/components/*"],
      "@layouts/*": ["src/layouts/*"],
      "@styles/*": ["src/styles/*"],
      "@scripts/*": ["src/scripts/*"],
      "@lib/*": ["src/lib/*"]
    }
  },
  "include": [".astro/types.d.ts", "src/**/*", "*.config.*"],
  "exclude": ["dist", "node_modules"]
}
